org.apache.lucene.search.suggest.analyzing

## Class FSTUtil.Path<T>

- java.lang.Object
- - org.apache.lucene.search.suggest.analyzing.FSTUtil.Path<T>

Enclosing class:
  FSTUtil

    public static final class FSTUtil.Path<T>
    extends Object

Holds a pair (automaton, fst) of states and accumulated output in the intersected machine.

### Field Summary

Fields
`FST.Arc<T>` `fstNode` Node in the FST where path ends:
`IntsRef` `input` Input of the path so far:
`State` `state` Node in the automaton where path ends:

### Constructor Summary

Constructors
Constructor and Description
`FSTUtil.Path(State state, FST.Arc<T> fstNode, T output, IntsRef input)` Sole constructor.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### state

    public final State state

Node in the automaton where path ends:

#### fstNode

    public final FST.Arc<T> fstNode

Node in the FST where path ends:

#### input

    public final IntsRef input

Input of the path so far:

### Constructor Detail

#### FSTUtil.Path

    public FSTUtil.Path(State state,
                FST.Arc<T> fstNode,
                T output,
                IntsRef input)

Sole constructor.